### Signal

# WebKit WebView::close

unstable since: 6.0

#### Declaration

    void
    close (
      WebKitWebView* self,
      gpointer user_data
    )

#### Description [src]

Emitted when closing a `WebKitWebView` is requested. This occurs when a call is made from JavaScript’s window.close function or after trying to close the `web_view` with webkit_web_view_try_close(). It is the owner’s responsibility to handle this signal to hide or destroy the `WebKitWebView`, if necessary.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 6.0